package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulValveMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulValve;
import com.ruoyi.project.pssr.service.ITPssrOverhaulValveService;

/**
 * 检修项目-阀门Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulValveServiceImpl implements ITPssrOverhaulValveService
{
    @Autowired
    private TPssrOverhaulValveMapper tPssrOverhaulValveMapper;

    /**
     * 查询检修项目-阀门
     *
     * @param id 检修项目-阀门ID
     * @return 检修项目-阀门
     */
    @Override
    public TPssrOverhaulValve selectTPssrOverhaulValveById(Long id)
    {
        return tPssrOverhaulValveMapper.selectTPssrOverhaulValveById(id);
    }

    /**
     * 查询检修项目-阀门列表
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 检修项目-阀门
     */
    @Override
    public List<TPssrOverhaulValve> selectTPssrOverhaulValveList(TPssrOverhaulValve tPssrOverhaulValve)
    {
        return tPssrOverhaulValveMapper.selectTPssrOverhaulValveList(tPssrOverhaulValve);
    }

    /**
     * 新增检修项目-阀门
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve)
    {
        return tPssrOverhaulValveMapper.insertTPssrOverhaulValve(tPssrOverhaulValve);
    }

    /**
     * 修改检修项目-阀门
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve)
    {
        return tPssrOverhaulValveMapper.updateTPssrOverhaulValve(tPssrOverhaulValve);
    }
    @Override
    public int updateAllBySubId(TPssrOverhaulValve tPssrOverhaulValve)
    {
        return tPssrOverhaulValveMapper.updateAllBySubId(tPssrOverhaulValve);
    }

    /**
     * 批量删除检修项目-阀门
     *
     * @param ids 需要删除的检修项目-阀门ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulValveByIds(Long[] ids)
    {
        return tPssrOverhaulValveMapper.deleteTPssrOverhaulValveByIds(ids);
    }

    /**
     * 删除检修项目-阀门信息
     *
     * @param id 检修项目-阀门ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulValveById(Long id)
    {
        return tPssrOverhaulValveMapper.deleteTPssrOverhaulValveById(id);
    }
}
